Last Comment Bug 525513 - crash [@ nsNetscapeProfileMigratorBase::CopyCookies(int)]
: crash [@ nsNetscapeProfileMigratorBase::CopyCookies(int)]
Status: RESOLVED FIXED
: crash, fixed-seamonkey2.0.3, topcrash
Product: MailNews Core
Classification: Components
Component: Profile Migration (show other bugs)
: Trunk
: All All
: -- critical (vote)
: Thunderbird 3.1a1
Assigned To: timeless
:
Mentors:
Depends on: 601347 601715
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-30 11:26 PDT by Wayne Mery (:wsmwk, NI for questions)
Modified: 2011-06-09 14:58 PDT (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
.1-fixed


Attachments
match other caller (746 bytes, patch)
2009-12-10 17:56 PST, timeless
no flags Details | Diff | Review
match nsSeamonkeyProfileMigrator::GetMigrateData (1.33 KB, patch)
2009-12-12 09:31 PST, timeless
neil: review+
mozilla: review+
standard8: approval‑thunderbird3.0.1+
iann_bugzilla: approval‑seamonkey2.0.3+
Details | Diff | Review

Description Wayne Mery (:wsmwk, NI for questions) 2009-10-30 11:26:24 PDT
crash [@ nsNetscapeProfileMigratorBase::CopyCookies(int)]

#2 crash for 2.0
slightly different stacks from crash-stats

bp-a5f42260-4956-46ee-bd4c-0fa862091029
We need more info on how to import mail settings from 1.1.18 to 2.0
0	suite.dll	nsNetscapeProfileMigratorBase::CopyCookies	 suite/profile/migration/src/nsNetscapeProfileMigratorBase.cpp:797
1	suite.dll	nsThunderbirdProfileMigrator::Migrate	suite/profile/migration/src/nsThunderbirdProfileMigrator.cpp:98
2	xpcom_core.dll	NS_InvokeByIndex_P	xpcom/reflect/xptcall/src/md/win32/xptcinvoke.cpp:101
3	seamonkey.exe	XPCWrappedNative::CallMethod	js/src/xpconnect/src/xpcwrappednative.cpp:2297
4	seamonkey.exe	XPC_WN_CallMethod	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1590
5	js3250.dll	js_Invoke	js/src/jsinterp.cpp:1386
6	seamonkey.exe	XPC_WN_GetObjectOpsWithCall	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1398 


bp-5b9dff18-c26c-401f-9496-c59222090818
trying import settings from thunderbird
0	libsuite.so	nsNetscapeProfileMigratorBase::CopyCookies	 suite/profile/migration/src/nsNetscapeProfileMigratorBase.cpp:769
1	libsuite.so	nsThunderbirdProfileMigrator::Migrate	suite/profile/migration/src/nsThunderbirdProfileMigrator.cpp:99
2	libxpcom_core.so	NS_GetXPTCallStub_P	
3	seamonkey-bin	XPCWrappedNative::CallMethod	js/src/xpconnect/src/xpcwrappednative.cpp:2710
4	seamonkey-bin	XPC_WN_CallMethod	js/src/xpconnect/src/xpcwrappednativejsops.cpp:1740
5	libmozjs.so	js_Invoke	js/src/jsinterp.cpp:1371
6	libmozjs.so	js_Interpret	js/src/jsops.cpp:2199
7	libmozjs.so	js_Invoke	js/src/jsinterp.cpp:1379
8	libmozjs.so	js_InternalInvoke	js/src/jsinterp.cpp:1434
9	libmozjs.so	JS_CallFunctionValue	js/src/jsapi.cpp:5124
10	seamonkey-bin	nsJSContext::CallEventHandler	dom/base/nsJSEnvironment.cpp:2097
11	seamonkey-bin	nsGlobalWindow::RunTimeout	dom/base/nsGlobalWindow.cpp:7935
12	seamonkey-bin	nsGlobalWindow::TimerCallback	dom/base/nsGlobalWindow.cpp:8269
Comment 1 neil@parkwaycc.co.uk 2009-11-02 04:04:50 PST
Hmm, looks like it had trouble finding the source profile...
Comment 2 Robert Kaiser (not working on stability any more) 2009-12-09 07:36:53 PST
Forwarding blocking request to next security/stability update. If this crash is happening frequently, we really would like to get a hold on it...

Neil, any chance to find out what really goes wrong there?
Comment 3 Robert Kaiser (not working on stability any more) 2009-12-10 16:51:22 PST
http://crash-stats.mozilla.com/topcrasher/byversion/SeaMonkey/2.0 still says this is a very high-profile crasher, see http://crash-stats.mozilla.com/report/list?range_value=2&range_unit=weeks&signature=nsNetscapeProfileMigratorBase%3A%3ACopyCookies%28int%29&version=SeaMonkey%3A2.0 for more crash reports for that signature, 179 in the last week coming from Windows, but 2 also from Linux.
Comment 4 timeless 2009-12-10 17:56:46 PST
Created attachment 417024 [details] [diff] [review]
match other caller
Comment 5 neil@parkwaycc.co.uk 2009-12-11 03:24:05 PST
(In reply to comment #4)
> Created an attachment (id=417024)
> match other caller
Which other caller? nsSeamonkeyProfileMigrator::Migrate has identical code.
Comment 6 timeless 2009-12-12 09:31:44 PST
Created attachment 417259 [details] [diff] [review]
match nsSeamonkeyProfileMigrator::GetMigrateData
Comment 7 neil@parkwaycc.co.uk 2009-12-13 12:02:30 PST
Comment on attachment 417259 [details] [diff] [review]
match nsSeamonkeyProfileMigrator::GetMigrateData

I can only assume that somehow we're calling Migrate even though GetMigrateData has failed, or something. I guess this can't hurt.
Comment 8 Phil Ringnalda (:philor) 2009-12-13 12:16:01 PST
Don't forget that timeless will never look at this bug again, so someone else will need to drive it into the branch.
Comment 9 Serge Gautherie (:sgautherie) 2009-12-15 06:26:34 PST
Comment on attachment 417259 [details] [diff] [review]
match nsSeamonkeyProfileMigrator::GetMigrateData

Looking for "r+a-thunderbird3.0.1".
Comment 10 David :Bienvenu 2009-12-17 12:05:56 PST
Comment on attachment 417259 [details] [diff] [review]
match nsSeamonkeyProfileMigrator::GetMigrateData

can you put the return NS_ERROR_FAILURE; on its own line for each of breakpoint setting? thx!
Comment 11 Mark Banner (:standard8) 2009-12-17 13:14:09 PST
(In reply to comment #9)
> (From update of attachment 417259 [details] [diff] [review])
> Looking for "r+a-thunderbird3.0.1".

This needs fixing up and landing on trunk before you can get approval (as per the standard branch rules).
Comment 13 Mark Banner (:standard8) 2009-12-18 02:06:40 PST
approval-thunderbird3.0=Standard8
Comment 14 timeless 2009-12-18 02:18:42 PST
i don't have the resources to push this into comm-1.9.1, could someone please push it for me (presumably just grab the commit from comment 12 and add the a= from comment 13)
Comment 15 Siddharth Agarwal [:sid0] (inactive) 2009-12-18 07:54:23 PST
Pushed to branch: http://hg.mozilla.org/releases/comm-1.9.1/rev/643046e2565b
Comment 16 Serge Gautherie (:sgautherie) 2009-12-18 09:54:41 PST
(In reply to comment #15)
> Pushed to branch: http://hg.mozilla.org/releases/comm-1.9.1/rev/643046e2565b

This push misses comment 10 nit ... I guess we don't care too much on c-1.9.1...
Comment 17 Serge Gautherie (:sgautherie) 2009-12-18 12:18:27 PST
Ftr, Firefox had this check added in
http://bonsai.mozilla.org/cvslog.cgi?file=mozilla/browser/components/migration/src/nsSeamonkeyProfileMigrator.cpp&mark=1.18#1.19

*****

While there, I noticed
{
browser:
94     GetProfilePath(aStartup, mTargetProfile);

+++ b/mail/components/migration/src/nsSeamonkeyProfileMigrator.cpp
     GetProfilePath(aStartup, mTargetProfile);

+++ b/suite/profile/migration/src/nsSeamonkeyProfileMigrator.cpp
     GetProfilePath(aStartup, getter_AddRefs(mTargetProfile));
}
Is it expected that SeaMonkey (only) uses 'getter_AddRefs()'?
Comment 18 neil@parkwaycc.co.uk 2009-12-18 12:52:14 PST
(In reply to comment #17)
> 94     GetProfilePath(aStartup, mTargetProfile);
> 
> +++ b/mail/components/migration/src/nsSeamonkeyProfileMigrator.cpp
>      GetProfilePath(aStartup, mTargetProfile);
> 
> +++ b/suite/profile/migration/src/nsSeamonkeyProfileMigrator.cpp
>      GetProfilePath(aStartup, getter_AddRefs(mTargetProfile));
> }
> Is it expected that SeaMonkey (only) uses 'getter_AddRefs()'?
Yeah, we use ordinary XPCOM getters rather than weird nsCOMPtr references.

Note You need to log in before you can comment on or make changes to this bug.